[Deprecated]: V1.0

put

/ec-dc-svc/rest/v1.0/studies/{studyId}/{mode}/unfreeze/{dataElementId}

Deprecated: Unfreezes single data element of a visit.API has been deprecated, API has been deprecated and moved to DAS(Data Action Service) Path: /ec-dataaction-svc/rest/v1.0/studies/{studyId}/{mode}/unfreeze/{dataElementId}

Request

Path Parameters
Supported Media Types
Request Body - */* ()
Root Schema : schema
Type: object
Superclass for unfreeze requests, contains the reason for unfreezing.
Show Source
Example:
{
    "reasonForChange":"Data Corrected"
}
Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : DataElementDto30
Type: object
Data element properties including event instance number extension
Show Source

400 Response

Bad request.
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Back to Top